#ifndef BATTERYCONTROLLER_H
#define BATTERYCONTROLLER_H

#include <string>

class BatteryController
{
private:
    /** 
     * @brief 电池路径
    */
    std::string batteryPath;

public:
    BatteryController();
    ~BatteryController();
    /**
     * @enum 电池状态
     * @brief 电池状态，包括充电中、放电中和充满电
     */
    enum BatteryStatus
    {
        Charging,
        Discharging,
        Full,
        Unknown
    };

    /**
     * @brief 获取电池路径
     */
    void findBatteryPath();

    /**
     * @brief 获取电池电量
     * @return 电池电量，范围0-100
     */
    int getBatteryLevel();

    /**
     * @brief 获取电池状态
     * @return 电池状态
     */
    BatteryStatus getBatteryStatus();
};

#endif // BATTERYCONTROLLER_H